## kdebase-3.2.3.tar.bz2

=== kwin/tools/xprop/Makefile ===
all:
	gcc dsimple.c xprop.c -o xprop -lXmu -lX11 -L/usr/X11R6/lib

=== debian/changelog ===
kdebase (4:3.2.1-1) unstable; urgency=low

  * New upstream release.
  * Added Catalan po-deconf translations. (Closes: #139733)
  * Added Polish po-deconf translations. (Closes: #142540)
  * Added Japanese po-deconf translations. (Closes: #137940, #210431)
  * Updated kate Recommends: kregexpeditor. (Closes: #227677)
  * Added konqueror Depends: kdebase-kio-plugins. (Closes: #230203)
  * Added kdm Provides: x-display-manager. (Closes: #231442)
  * Added kdebase-bin/kdm Depends libpam-runtime. (Closes: #233562, #236078)
  * Added kate/konqueror mime nametemplate support. (Closes: #235216)

 -- Christopher L Cheney <ccheney@debian.org>  Fri,  5 Mar 2004 04:00:00 -0600

kdebase (4:3.2.0-0pre1v1) experimental; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 17 Feb 2004 17:00:00 -0600

kdebase (4:3.1.95-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 23 Jan 2004 18:00:00 -0600

kdebase (4:3.1.5-2) unstable; urgency=low

  * Remove Build-Depends: libsensors-dev.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 29 Jan 2004 22:00:00 -0600

kdebase (4:3.1.5-1) unstable; urgency=low

  * New upstream release.
  * Added pt_BR debconf translation. (Closes: #107023)
  * Updated /etc/gdm/Sessions/KDE file. (Closes: #177144)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 12 Jan 2004 19:00:00 -0600

kdebase (4:3.1.4-2) unstable; urgency=low

  * Added es debconf translation. (Closes: #128933)
  * Added fr debconf translation. (Closes: #132615, #225899)
  * Corrected konqueror gs mime tests. (Closes: #160428)
  * kdesktop Recommends eject. (Closes: #223642)
  * konqueror Provides info-browser. (Closes: #223913)
  * Added '|| true' to db_input lines in kdm debconf support. (Closes: #224548)
  * Corrected typo in kdm.config script. (Closes: #224578)

 -- Christopher L Cheney <ccheney@debian.org>  Mon,  5 Jan 2004 23:00:00 -0600

kdebase (4:3.1.4-1) unstable; urgency=low

  * The "Why isn't KDE installable yet" release.
  * New upstream release.
  * Added patch to update autotools files.
  * Added patch to remove pedantic-errors from KDE_CHECK_FUNC_EXT since it
    causes configure checks to fail due to #line numbers being > 32767.
  * Demote kdeprint Depends 'efax | hylafax-client | mgetty-fax' to Suggests.
    (Closes: #142489)
  * Change kicker.menu-method to not display the empty_mime icon if a menu file
    doesn't provide an icon. (Closes: #154065)
  * Make konqueror depend on kdesktop. (Closes: #192550)
  * Update pam support to use new common module fragments. (Closes: #206958)
  * Update package descriptions. (Closes: #209532, #209856)
  * Strip SUID root from kcheckpass since its not needed. (Closes: #212212)
  * Update kdm debconf and use po-debconf. (Closes: #218731)
  * Make kicker depend on kdebase-data. (Closes: #223407)

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 18 Dec 2003 13:30:00 -0600

kdebase (4:3.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 30 Jul 2003 15:00:00 -0500

kdebase (4:3.1.2-1.1) unstable; urgency=low

  * NMU (Maintainer is aware for a while but is dumb)
      - Summary: kdebase-dev depends on kdebase that is not installable
                 some package have build-depends on kdebase-dev so they are
                 buildable since at least 06 Jun 2003
  * Fix Depends: field (previous was libsensors1 and it was replaced by
    libsensors-1debian1) (Closes: #196370, #200224)
  * Fix FTBFS with gcc-3.3 (Closes: #200620)
      - Thanks Riku Voipio <riku.voipio@iki.fi>
      - use cvs files from KDE_3_1_BRANCH
      	+ recentapps.cpp version 1.3.6.2
      	+ recentapps.h version 1.3.8.2
      	+ service_mnu.cpp version 1.50.2.4
      	+ browser_mnu.cpp version 1.44.2.2

 -- Igor Genibel <igenibel@debian.org>  Fri, 18 Jul 2003 10:35:34 +0200

kdebase (4:3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove Build-Depends on libsasl-dev. (Closes: #189949, #193866)
  * Add libkregexpeditor to kate Recommends. (Closes: #183280)
  * Add efax | hylafax | mgetty-fax to kdeprint Depends. (Closes: #142489)
  * Add kfind to konqueror Depends. (Closes: #192859)
  * Fix KDE GDM Session file. (Closes: #144206, #154519, #188560, #189438,
    #193274)
  * Add log rotation for KDM logfile. (Closes: #145345, #153728)
  * Add screen number to KDM Xservers file. (Closes: #182708, #184737, #187257)
  * Moved xfonts-konsole fonts to /usr/X11R6/lib/X11/fonts/misc/
    (Closes: #184548)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 21 May 2003 08:00:00 -0500

kdebase (4:3.1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #180816, #181309)
  * Corrected kdm-update-menu.sh kdm.options path. (Closes: #180355)
  * Added xbase-clients depend to kdm. (Closes: #180536)
  * Added xutils depend to xfonts-konsole. (Closes: #180695)
  * Improved xfonts-konsole description. (Closes: #180696)
  * Remove upgrade from alternatives removal prerm script. (Closes: #180927)
  * Change Xservers to launch /usr/X11R6/bin/X. (Closes: #182037)
  * Add entries for kdm reserve xserver feature. (Closes: #182708)
  * Add kcontrol depends to konqueror (Closes: #182724)
  * Change konqueror menu entry to allow execution. (Closes: #183225)
  * Make konqueror provide www-browser. (Closes: #183391)

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 11 Mar 2003 22:00:00 -0600

kdebase (4:3.1.0-2) unstable; urgency=low

  * Add 'chmod +x configure' to rules.

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  8 Feb 2003 02:00:00 -0600

kdebase (4:3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Redo debian dir.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 01 Feb 2003 23:00:00 -0600

kdebase (4:2.2.2-14.7) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Updated patch from KDE advisory 20030916



=== debian/control ===
Source: kdebase
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Christopher L Cheney <ccheney@debian.org>
Build-Depends: automake1.8, debhelper (>= 4.2.0), gawk, gettext, kdelibs4-dev (>> 4:3.2.1), lesstif-dev, libbz2-dev, libcdparanoia0-dev, libdb4.2-dev, libfontconfig1-dev, libldap2-dev, libncurses5-dev, libpam0g-dev, libraw1394-dev, libsmbclient-dev, libssl-dev, libtiff3g-dev, sharutils, texinfo, xutils
Build-Depends-Indep: doxygen, qt3-doc
Standards-Version: 3.6.1.0

Package: kdebase
Section: kde
Architecture: all
Depends: kappfinder (>= ${Source-Version}), kate (>= ${Source-Version}), kcontrol (>= ${Source-Version}), kdebase-bin (>= ${Source-Version}), kdebase-data (>= ${Source-Version}), kdebase-kio-plugins (>= ${Source-Version}), kdeprint (>= ${Source-Version}), kdesktop (>= ${Source-Version}), kfind (>= ${Source-Version}), khelpcenter (>= ${Source-Version}), kicker (>= ${Source-Version}), klipper (>= ${Source-Version}), kmenuedit (>= ${Source-Version}), konqueror-nsplugins (>= ${Source-Version}), konqueror (>= ${Source-Version}), konsole (>= ${Source-Version}), kpager (>= ${Source-Version}), kpersonalizer (>= ${Source-Version}), ksmserver (>= ${Source-Version}), ksplash (>= ${Source-Version}), ksysguard (>= ${Source-Version}), ktip (>= ${Source-Version}), kwin (>= ${Source-Version}), libkonq4 (>= ${Source-Version})
Recommends: kdm (>= ${Source-Version}), xfonts-konsole (>= ${Source-Version})
Description: KDE Base metapackage
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package depends on the minimum number of packages to provide a
 simple yet fully functional KDE desktop.

Package: kappfinder
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase (<< 4:3.0.0)
Description: KDE Application Finder
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kappfinder searches your workstation for many common applications and
 creates menu entries for them.
 .
 This package is part of the official KDE base module.

Package: kate
Section: editors
Architecture: any
Depends: ${shlibs:Depends}
Recommends: kregexpeditor
Suggests: aspell | ispell, kate-plugins, khelpcenter, konq-speaker
Replaces: kdebase-doc (<< 4:3.0.0)
Description: KDE Advanced Text Editor
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the advanced text editor for KDE. It includes
 many features including:
 .
  * Syntax Highlighting
  * Folding
 .
 This package is part of the official KDE base module.

Package: kcontrol
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Control Center
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 The KDE control center allows you to configure all aspects of your KDE
 desktop.
 .
 This package is part of the official KDE base module.

Package: kdebase-bin
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), kscreensaver (<< 4:3.0.0)
Description: KDE Base (binaries)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains miscellanous programs needed by other KDE
 applications.
 .
 This package is part of the official KDE base module.

Package: kdebase-data
Section: kde
Architecture: all
Replaces: kdebase (<< 4:3.0.0), kdewallpapers (<< 4:3.0.0)
Description: KDE Base (shared data)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains all the data files needed for a basic KDE desktop
 installation.
 .
 This package is part of the official KDE base module.

Package: kdebase-dev
Section: devel
Architecture: any
Depends: kate (= ${Source-Version}), kdesktop (= ${Source-Version}), kicker (= ${Source-Version}), konqueror-nsplugins (= ${Source-Version}), konqueror (= ${Source-Version}), ksysguard (= ${Source-Version}), kdelibs4-dev (>> 4:3.2.1)
Replaces: kate (<< 4:3.2.0), kdebase (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Base (development files)
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains all the header files needed to develop KDE
 applications.
 .
 This package is part of the official KDE base module.

Package: kdebase-doc
Section: doc
Architecture: all
Replaces: libkonq4-dev (<< 4:3.2.0)
Description: KDE Base Library Documentation
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the KDE Base Library Documentation.
 .
 This package is part of the official KDE base module

Package: kdebase-kio-plugins
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter, mtools
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE I/O Slaves
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes the base kioslaves. This includes file, http,
 ftp, smtp, pop and imap.
 .
 This package is part of the official KDE base module.

Package: kdeprint
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, enscript, gv, poster, psutils
Suggests: khelpcenter, efax | hylafax-client | mgetty-fax
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Print
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package contains the KDE printing subsystem. It can use Cups,
 lpd-ng or the traditional lpd. It also includes support for fax and pdf
 printing.
 .
 This package is part of the official KDE base module.

Package: kdesktop
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-bin
Recommends: eject
Replaces: kdebase (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Desktop
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 KDE Desktop
 .
 This package is part of the official KDE base module.

Package: kdm
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.9), kdebase-bin, libpam-runtime (>= 0.76-14), xbase-clients
Recommends: logrotate
Suggests: khelpcenter, menu
Provides: x-display-manager
Description: KDE Display Manager
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kdm manages a collection of X servers, which may be on the local host or
 remote machines.  It provides services similar to those provided by init,
 getty, and login on character-based terminals: prompting for login name and
 password, authenticating the user, and running a session.  kdm supports XDMCP
 (X Display Manager Control Protocol) and can also be used to run a chooser
 process which presents the user with a menu of possible hosts that offer
 XDMCP display management.
 .
 This package is part of the official KDE base module.

Package: kfind
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0)
Description: KDE File Find Utility
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 kfind can be used to find files and directories on your
 workstations.
 .
 This package is part of the official KDE base module.

Package: khelpcenter
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Replaces: kdebase-doc (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Help Center
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 The KDE Help center provides help on how to use the KDE desktop.
 .
 This package is part of the official KDE base module.

Package: kicker
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, kdebase-data
Suggests: khelpcenter, kicker-applets, menu
Conflicts: kdebase-libs (<< 4:3.0.0)
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0), kdebase-libs (<< 4:3.0.0), konqueror (<< 4:3.0.0)
Description: KDE Desktop Panel
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 Kicker provides the KDE panel on you desktop. It can be used as a
 program launcher and can load plugins to provide additional
 functionality.
 .
 This package is part of the official KDE base module.

Package: klipper
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Clipboard
 KDE is a powerful Open Source graphical desktop environment
 for Unix workstations. It combines ease of use, contemporary
 functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 klipper provides several additional featues of the traditional clipboard
 functionality like the ability to offer actions to take dependent on
 the clipboard contents. For example, it can launch a web browser if the
 clipboard contains a url.
 .
 This package is part of the official KDE base module.

Package: kmenuedit
Section: kde
Architecture: any
Depends: ${shlibs:Depends}
Suggests: khelpcenter
Replaces: kdebase (<< 4:3.0.0), kdebase-doc (<< 4:3.0.0)
Description: KDE Menu Editor

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

-include debian/debiandirs

debian/debiandirs: admin/debianrules
	perl -w admin/debianrules echodirs > debian/debiandirs

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Apply Debian specific patches
	if test -d $(CURDIR)/debian/patches ;\
	then \
		for i in $(CURDIR)/debian/patches/*.diff.uu ;\
		do \
			cd $(CURDIR)/debian/patches ;\
			uudecode "$$i" ;\
			cd $(CURDIR) ;\
		done ;\
		patches=$$(find $(CURDIR)/debian/patches -name *.diff | sort);\
	fi ;\
	if test ! -f patch-stamp; then \
		for patch in $$patches ;\
		do \
			echo APPLYING PATCH\: "$${patch##*/}" ;\
			patch -p1 < "$$patch" ;\
		done ;\
		touch patch-stamp ;\
	fi

	# KDE CVS does not have aclocal.m4 or configure
	if test ! -f configure; then \
		$(MAKE) -f admin/Makefile.common ;\
	fi

	# ensure configure is executable
	chmod +x configure

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
	../configure $(configkde) --enable-final \
	--with-shadow --without-java \
	--with-pam=kde --with-kcp-pam=kcheckpass \
	--with-kdm-pam=kdm --with-kss-pam=kscreensaver

	touch configure-stamp

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	# generate manpages
	#for i in debian/man/*.sgml; do \
		docbook-to-man $$i > `dirname $$i`/`basename $$i .sgml`.1 ;\
	done

	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir

	cd $(objdir) && \
	$(MAKE)

	cd $(objdir) && \
	$(MAKE) apidox

	touch build-indep-stamp

debian-clean:
	dh_testdir
	dh_testroot

	dh_clean

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp \
		debian/debiandirs debian/system.kdeglobals debian/man/*.1

	# Remove Debian specific patches
	if test -d $(CURDIR)/debian/patches ;\
	then \
		patches=$$(find $(CURDIR)/debian/patches -name *.diff | sort -r);\
	fi ;\
	if test -f patch-stamp; then \
		for patch in $$patches ;\
		do \
			echo REMOVING PATCH\: "$${patch##*/}" ;\
			patch -p1 -R < "$$patch" ;\
		done ;\
		for i in $(CURDIR)/debian/patches/*.diff.uu ;\
		do \
			 rm -f "$${i%%.uu}" ;\
		done ;\
		rm -f patch-stamp ;\
	fi

	# Remove build tree
	rm -rf $(objdir)

	# if Makefile exists run distclean
	if test -f Makefile; then \
		$(MAKE) distclean; \
	fi

	if test -d CVS; then \
		$(MAKE) -f admin/Makefile.common cvs-clean ;\
	fi

	dh_clean

install: install-arch install-indep

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	install -D -m 644 $(CURDIR)/debian/kcheckpass.pam $(CURDIR)/debian/tmp/etc/pam.d/kcheckpass
	install -D -m 644 $(CURDIR)/debian/kdm-np.pam $(CURDIR)/debian/tmp/etc/pam.d/kdm-np
	install -D -m 644 $(CURDIR)/debian/kscreensaver.pam $(CURDIR)/debian/tmp/etc/pam.d/kscreensaver

	dh_install -s

	chmod a+x $(CURDIR)/debian/ksmserver/etc/gdm/Sessions/KDE

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

	cd $(objdir) && \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	cd $(objdir) && \
	$(MAKE) install-apidox DESTDIR=$(CURDIR)/debian/tmp

	dh_install -i

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
	dh_installpam
	dh_installmime
	dh_installinit -r -- defaults 99 01
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.bz2 -X.css -X.dcl -X.docbook -X-license -X.tag
	dh_fixperms -Xusr/bin/fileshareset -Xusr/bin/kdesud
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -ldebian/kate/usr/lib:debian/kicker/usr/lib:debian/konqueror/usr/lib:debian/ksplash/usr/lib:debian/ksysguard/usr/lib:debian/kwin/usr/lib:debian/libkonq4/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
